<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0"
	xpath-default-namespace="http://www.tei-c.org/ns/1.0">
	<xsl:template match="/">
		<h1>Register</h1>
		<ul>
			<xsl:for-each-group select="//listPerson/person" group-by="substring(persName/surname,1,1)">
				<xsl:sort select="current-grouping-key()" order="descending"/>
				<h4 style="color:red"><xsl:value-of select="current-grouping-key()"/></h4>
				<xsl:for-each select="current-group()">
					<xsl:sort select="persName/surname" order="descending"/> <!-- Sortieren der Ergebnismenge -->
					<li><span style="font-weight:bold"><xsl:value-of select="persName/surname"/>, <xsl:value-of select="persName/forename"/></span>
						<!-- wenn es ein idno gibt, dann bastele einen Link um ein eingebundenes image -->
						<xsl:if test="idno"> <a href="{idno}" title="Link zur GND"><img src="https://wiki.dnb.de/download/attachments/125418324/GND?version=8&amp;modificationDate=1593616410000&amp;api=v2" height="15"/></a></xsl:if>
						<br/>
						<!-- für jede Rollenbezeichnung erzeuge eine Ausgabe -->
						<xsl:for-each select="persName/roleName[text()]">
							<xsl:value-of select="string-join(.//text())"/>; 
						</xsl:for-each>
						<!-- nur zum Spaß benutze ich für die Auflösung der Daten einmal substring und einmal tokenize -->
						<xsl:if test="string-length(birth/@when)=10"><xsl:value-of select="birth/substring(@when,9,2)"/>.</xsl:if>
						<xsl:if test="string-length(birth/@when)>4"><xsl:value-of select="birth/substring(@when,6,2)"/>.</xsl:if>
						<xsl:value-of select="birth/substring(@when,1,4)"/> 
						<xsl:if test="death"> bis </xsl:if> 
						<xsl:if test="string-length(death/@when)=10"><xsl:value-of select="death/tokenize(@when,'-')[3]"/>.</xsl:if>
						<xsl:if test="string-length(death/@when)>4"><xsl:value-of select="death/tokenize(@when,'-')[2]"/>.</xsl:if><xsl:value-of select="death/tokenize(@when,'-')[1]"/>;
						<xsl:variable name="currID" select="@xml:id"/>
						 im Text 
						<xsl:for-each select="//text//persName[@ref=concat('#',$currID)]">S. <xsl:value-of select="preceding::pb[1]/@n"/>
							als "<xsl:value-of select="replace(string-join(.//text()),'=(\n)?(\s)*','')"/>"<xsl:if test="position() != last()">, </xsl:if></xsl:for-each>
					</li>
				</xsl:for-each>
			</xsl:for-each-group>
		</ul>
	</xsl:template>
</xsl:stylesheet>